use ExtUtils::MakeMaker;

sub write_makefile {
	# See lib/ExtUtils/MakeMaker.pm for details of how to influence
	# the contents of the Makefile that is written.
	WriteMakefile(
		'NAME'			=> 'ESPOPS',
		'PREREQ_PM'		=> { SPOPS => 0.64 },
# 		'MAN3PODS'		=> {},
		'VERSION_FROM'	=> 'ESPOPS/Object.pm', # finds $VERSION
	);
}

my $conf_file = 't/espops_dbi_conf.pm';

if ( -f $conf_file ) {
	my $ans = lc get_input( "It appears you already have a $conf_file file.\n" .
						'Would you like to use it?', 'Y');
	
	unless ($ans eq 'y') {
		eval{ unlink( $conf_file ) };
	}
}

unless ( -f $conf_file ) {
	my $DB_NAME = get_input( "Enter name of database for testing", 'ESPOPStest');
	my $DB_USER = get_input( "Enter database username for testing", 'test');
	my $DB_PASS = get_input( "Enter database password for testing", '');

	open( CONF, "> $conf_file" ) || die "Cannot open $conf_file for writing! Error: $!";
	print CONF <<EOF;
## define database connection parameters
## (must 'use' this file before 'use'ing ESPOPS::DBI)
\$ESPOPS::DBI::DSN  = 'DBI:mysql:$DB_NAME';
\$ESPOPS::DBI::USER = '$DB_USER';
\$ESPOPS::DBI::PASS = '$DB_PASS';

1;
EOF
}

write_makefile();

sub get_input {
	my ( $prompt, $default ) = @_;
	my $val;

	do {
		print $prompt . " [ " . (defined $default ? $default : 'no default') . " ] : ";
		$val = <STDIN>;
		chomp $val;
		$val = $default		if $val =~ /^\s*$/; 
	} until ( defined $val );

	($val) = $val =~ /^\s*(.*)\s*$/;

	return $val;
}
